/*
 * The MIT License
 *
 * Copyright 2012 Massive Dynamics.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package biz.massivedynamics.projecteer;

import biz.massivedynamics.projecteer.metadata.Project;
import biz.massivedynamics.projecteer.metadata.entity.included.MassiveDynamics;
import biz.massivedynamics.projecteer.metadata.version.FourPartVersion;
import biz.massivedynamics.projecteer.metadata.version.VersionType;

/**
 * The class which contains data on {@link Projecteer}, including the {@link Project}
 *
 * @author Cruz Julian Bishop
 * @since 1.0.0.0
 */
public class Projecteer {
    
    /**
     * The {@link Project} for {@link Projecteer}
     * 
     * @since 1.0.0.0
     */
    private static Project<FourPartVersion> project = new Project<FourPartVersion>(
            "Projecteer",
            "A library for Java that adds project-related metadata and Version utilities",
            new FourPartVersion(1, 0, 0, 0, VersionType.STABLE, "TIPTOE"),
            "MIT License",
            MassiveDynamics.getOrganization());
    
    /**
     * Gets the {@link Project} instance for {@link Projecteer}
     * 
     * @return The {@link Project} instance
     * @since 1.0.0.0
     */
    public static Project getProject() {
        return project;
    }
    
}
