/*
 * The MIT License
 *
 * Copyright 2012 Massive Dynamics.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package biz.massivedynamics.projecteer.metadata.entity.included;

import biz.massivedynamics.projecteer.metadata.entity.Organization;
import biz.massivedynamics.projecteer.metadata.entity.Person;

/**
 * A class which contains the Massive Dynamics {@link Organization} and "Staff" 
 *
 * @author Cruz Julian Bishop
 * @since 1.0.0.0
 */
public class MassiveDynamics {
    
    /**
     * The Massive Dynamics {@link Organization} information
     * 
     * @since 1.0.0.0
     */
    private static Organization organization = new Organization("Massive Dynamics", 
                "An upcoming company dedicated to creating and improving software,"
                    + "hardware, and IT solutions in general",
                "contact@massive-dynamics.biz", false, 
                new Person("Cruz Julian Bishop", "President", "cruzjbishop@gmail.com"),
                new Person("Mitchell Alan Murphy", "Vice President", "mitchell996@live.com"),
                new Person("Alice Keinz", "CEO", "jclarkerson@gmail.com"),
                new Person("Jordan Ferreira", "Quality Assurance Leader", "jordan_iceball@hotmail.com"));
    
    /**
     * Gets the Massive Dynamics {@link Organization} information
     * 
     * @return The information
     * @since 1.0.0.0
     */
    public static Organization getOrganization() {
        return organization;
    }
    
}
